Subject: Re: bug#17169: fails to start with (setq force-load-messages t) in ~/.emacs

From: Eli Zaretskii <[email-masked]>
Date: Wed, 02 Apr 2014 19:29:20 +0300

> From: Ivan Shmakov <[email-masked]>
> Date: Wed, 02 Apr 2014 09:45:28 +0000
> 
> Package:  emacs
> 
> 	As of ad37c460d20, Emacs fails early in startup should ~/.emacs
> 	set force-load-messages to t.  Consider, e. g.:
> 
> $ cat < .emacs 
> (setq force-load-messages t)
> $ HOME="$PWD" emacs --debug-init 
> …^G^G^Gemacs: NSTATICS too small; try increasing and recompiling Emacs.
> $ reset ; stty intr ^C ; ## restore sane tty settings 
> 
> 	A version built 2014-03-13 is apparently not affected.

Please provide the full information about your system and build that
is normally reported by "M-x report-emacs-bug RET".

FWIW, I checked this on 2 different systems, and I see at least 350
free slots in the staticvec[] array, before the current value of
NSTATICS will be reached.  So I wonder how come on your system you are
so close to the limit that a single extra symbol overflows it.